LayerDescriptor (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.commons.beans

## Class LayerDescriptor

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.commons.beans.LayerDescriptor

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Comparable<LayerDescriptor>

      public class LayerDescriptor
      extends Object
      implements Comparable<LayerDescriptor>, com.google.gwt.user.client.rpc.IsSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerDescriptor()`
    `LayerDescriptor(String id)`
    `LayerDescriptor(String id, boolean hasLegend, String name, String father, boolean visible, boolean baseLayer, boolean container, int levelNode)`
    `LayerDescriptor(String id, boolean hasLegend, String name, String father, boolean visible, boolean container, int levelNode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(LayerDescriptor o)`
    `String` | `getFather()`
    `String` | `getId()`
    `int` | `getLevel_node()`
    `String` | `getName()`
    `boolean` | `isBaseLayer()`
    `boolean` | `isContainer()`
    `boolean` | `isHasLegend()`
    `boolean` | `isVisible()`
    `void` | `setBaseLayer(boolean baseLayer)`
    `void` | `setContainer(boolean container)`
    `void` | `setFather(String father)`
    `void` | `setHasLegend(boolean hasLegend)`
    `void` | `setId(String id)`
    `void` | `setLevel_node(int level_node)`
    `void` | `setName(String name)`
    `void` | `setVisible(boolean visible)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerDescriptor

          public LayerDescriptor()

    - #### LayerDescriptor

          public LayerDescriptor(String id,
                         boolean hasLegend,
                         String name,
                         String father,
                         boolean visible,
                         boolean baseLayer,
                         boolean container,
                         int levelNode)

    - #### LayerDescriptor

          public LayerDescriptor(String id,
                         boolean hasLegend,
                         String name,
                         String father,
                         boolean visible,
                         boolean container,
                         int levelNode)

    - #### LayerDescriptor

          public LayerDescriptor(String id)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### isHasLegend

          public boolean isHasLegend()

    - #### setHasLegend

          public void setHasLegend(boolean hasLegend)

    - #### isBaseLayer

          public boolean isBaseLayer()

    - #### setBaseLayer

          public void setBaseLayer(boolean baseLayer)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isContainer

          public boolean isContainer()

    - #### setContainer

          public void setContainer(boolean container)

    - #### isVisible

          public boolean isVisible()

    - #### setVisible

          public void setVisible(boolean visible)

    - #### getFather

          public String getFather()

    - #### setFather

          public void setFather(String father)

    - #### getLevel_node

          public int getLevel_node()

    - #### setLevel_node

          public void setLevel_node(int level_node)

    - #### compareTo

          public int compareTo(LayerDescriptor o)

      Specified by:
        `compareTo` in interface `Comparable<LayerDescriptor>`

Copyright © 2014. All Rights Reserved.